package intrinsic.flash.desktop;

public class JSClipboard extends Object {

	/** Accessors */
	public intrinsic.Array types;
	public intrinsic.flash.desktop.Clipboard clipboard;
	public String dropEffect;
	public intrinsic.flash.desktop.DragOptions dragOptions;
	public String effectAllowed;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public JSClipboard() {
}

public JSClipboard(boolean arg0, boolean arg1) {
}

public JSClipboard(boolean arg0, boolean arg1, intrinsic.flash.desktop.Clipboard arg2) {
}

public JSClipboard(boolean arg0, boolean arg1, intrinsic.flash.desktop.Clipboard arg2, intrinsic.flash.desktop.DragOptions arg3) {
}


/** Static Methods */
public static native intrinsic.Array urisFromURIList(String arg0);

/** Methods */
public native void clearAllData();
public native void clearData(String arg0);
public native Object getData(String arg0);
public native boolean setData(String arg0, Object arg1);

}
